Submit IP Access Event

Submits an IP Access Event, representing an Occupant accessing a system or network from a public IP Address. Note: Only a single user identifier needs to be provided (email / userID / employeeID / externalId / name) to be valid.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
uuid

The unique identifier that Maptician assigns to each Occupant and User. This can be obtained through Maptician's API. This is the highest priority item in identifying a target for the presence operation.

string

The email (case insensitive) of the Occupant or User subject to the presence operation. This must match their email within the Maptician environment. This is the second highest priority in identifying an individual.

string

A string representing the individual's employee ID or other organization specific identifier. This values must match (case sensitive) the value of Employee ID in the Maptician environment for this individual. This is the the third highest priority for identifying an individual.

string

A string representing an identifier set by the SCIM provisioner or otherwise set within Maptician to represent a specific individual. This is an infrequently used method and will not be applicable to most environments. This has the fourth highest priority for identifying an individual.

string

A strong representing the concatenated first and last name of the individual. These values must match the first and last names found within Maptician (case insensitive). There is a potential for multiple matching users being found - the action will apply to the first matched individual only. This method is not recommended due to this potential ambiguity if any other matching mode is possible.

string

The first/given name of an individual. Must be used in conjunction with 'last' and will result in the same outcome as using the concatenated value in 'name'

string

The last/family name of an individual. Must be used in conjunction with 'first' and will result in the same outcome as using the concatenated value in 'name'

string

The public IP Address associated with the access event. This can be IPv4 or IPv6, though IPv6 addresses can be disabled by your environment's account administrator(s). Should be IP address only, no CIDR notation.

string

This is the time that will be used as a start time for presence and the reservation. The end time will be the end of the day for this time, based on the timezone of the user's seat location. If the full_day parameter is true, then the date component of the time will only be used and the start will be the start of that date.

string
Defaults to UTC

The User's time zone, in IANA Time Zone database format [RFC6557], also known as the "Olson" time zone database format [Olson-TZ]

string
enum
Defaults to iso

This is the method the server will use to attempt to parse the start and/or end times in each data entry. All date/time values must use the same format. The options are as follows

  • iso - ISO 8601 formatted, such as YYYY-MM-DDTHH:mm:ss:SSSZZ or "2021-05-31T03:32:15.064Z"
  • unixS - UNIX Timestamp in seconds
  • unixMS - UNIX Timestamp in milliseconds
  • us - US formatted MM-DD-YYYY hh:mm a Z or "05-30-2021 11:39 PM -04:00"
  • international - International formatted DD-MM-YYYY HH:mm Z or "30-05-2021 23:39 -04:00"
  • longForm - Long date form MMMM D, YYYY HH:mm Z or May 30, 2021 23:39 -04:00

Allowed:
Headers
string
required

Authorization token to access the API.

Responses
200

Access Event Submitted

500

Server Error

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json